[gnote] Drop dependency on gnome-common
- From: Aurimas Černius <aurimasc src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [gnote] Drop dependency on gnome-common
- Date: Fri, 29 May 2015 16:48:13 +0000 (UTC)
commit fb5f8fc4a71b8f0e80803779c6fd7e026e573d32
Author: Aurimas Černius <aurisc4 gmail com>
Date: Fri May 29 19:45:13 2015 +0300
Drop dependency on gnome-common
autogen.sh | 30 +++++++++++++++++++++++++-----
1 files changed, 25 insertions(+), 5 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index 7f9e45e..2a1512b 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -12,9 +12,29 @@ PKG_NAME="gnote"
exit 1
}
-which gnome-autogen.sh || {
- echo "You need to install gnome-common from the GNOME CVS"
- exit 1
-}
-REQUIRED_AUTOMAKE_VERSION=1.11 . gnome-autogen.sh
+if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
+ echo "**Warning**: I am going to run \`configure' with no arguments." >&2
+ echo "If you wish to pass any to it, please specify them on the" >&2
+ echo \`$0\'" command line." >&2
+ echo "" >&2
+fi
+
+set -x
+
+aclocal --install || exit 1
+glib-gettextize --force --copy || exit 1
+intltoolize --force --copy --automake || exit 1
+autoreconf --verbose --force --install -Wno-portability || exit 1
+
+if [ "$NOCONFIGURE" = "" ]; then
+ $srcdir/configure "$@" || exit 1
+
+ if [ "$1" = "--help" ]; then exit 0 else
+ echo "Now type \`make\' to compile $PKG_NAME" || exit 1
+ fi
+else
+ echo "Skipping configure process."
+fi
+
+set +x
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]